<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/include/ACL/Transport/MessageRequestHandler.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_1088b026815130b3cc8e9ac3f4525272.html">include</a></li><li class="navelem"><a class="el" href="dir_ce0d3eda4bb43bdcf8c1c51ff13ee585.html">ACL</a></li><li class="navelem"><a class="el" href="dir_711bc606e725cfd07f3f2b0a5f6ebc00.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">MessageRequestHandler.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;<a class="el" href="_message_request_8h_source.html">AVSCommon/AVS/MessageRequest.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_attachment_manager_8h_source.html">AVSCommon/AVS/Attachment/AttachmentManager.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_h_t_t_p2_mime_request_source_interface_8h_source.html">AVSCommon/Utils/HTTP2/HTTP2MimeRequestSourceInterface.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_exchange_handler_8h_source.html">ACL/Transport/ExchangeHandler.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_message_consumer_interface_8h_source.html">ACL/Transport/MessageConsumerInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_mime_response_status_handler_interface_8h_source.html">ACL/Transport/MimeResponseStatusHandlerInterface.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MessageRequestHandler.h:</div>
<div class="dyncontent">
<div class="center"><img src="_message_request_handler_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_message_request_handler_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_message_request_handler_8h" id="_2workplace_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_message_request_handler_8h">
<area shape="rect" id="node3" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="412,705,661,731"/>
<area shape="rect" id="node16" href="_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManager.h" alt="" coords="1000,105,1202,144"/>
<area shape="rect" id="node36" href="_h_t_t_p2_mime_request_source_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2MimeRequestSourceInterface.h" alt="" coords="2903,699,3158,737"/>
<area shape="rect" id="node40" href="_exchange_handler_8h.html" title="ACL/Transport/ExchangeHandler.h" alt="" coords="4182,452,4409,477"/>
<area shape="rect" id="node49" href="_message_consumer_interface_8h.html" title="ACL/Transport/MessageConsumer\lInterface.h" alt="" coords="4574,279,4801,317"/>
<area shape="rect" id="node50" href="_mime_response_status_handler_interface_8h.html" title="ACL/Transport/MimeResponse\lStatusHandlerInterface.h" alt="" coords="3815,699,4019,737"/>
<area shape="rect" id="node9" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="911,785,1112,824"/>
<area shape="rect" id="node14" href="_message_request_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageRequestObserverInterface.h" alt="" coords="539,785,786,824"/>
<area shape="rect" id="node13" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="5,872,167,911"/>
<area shape="rect" id="node18" href="_attachment_manager_interface_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManagerInterface.h" alt="" coords="904,192,1112,231"/>
<area shape="rect" id="node19" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="976,279,1178,317"/>
<area shape="rect" id="node21" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="837,365,1039,404"/>
<area shape="rect" id="node22" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1891,365,2053,404"/>
<area shape="rect" id="node35" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1099,619,1201,644"/>
<area shape="rect" id="node24" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="2060,452,2206,477"/>
<area shape="rect" id="node26" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1724,612,1900,651"/>
<area shape="rect" id="node30" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="2079,532,2187,557"/>
<area shape="rect" id="node31" href="_reader_8h.html" title="Reader.h" alt="" coords="1469,532,1544,557"/>
<area shape="rect" id="node34" href="_writer_8h.html" title="Writer.h" alt="" coords="1797,532,1864,557"/>
<area shape="rect" id="node27" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1540,699,1716,737"/>
<area shape="rect" id="node29" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1686,785,1900,824"/>
<area shape="rect" id="node37" href="_h_t_t_p2_get_mime_headers_result_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2GetMimeHeadersResult.h" alt="" coords="2852,785,3073,824"/>
<area shape="rect" id="node39" href="_h_t_t_p2_send_data_result_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2SendDataResult.h" alt="" coords="3249,785,3425,824"/>
<area shape="rect" id="node38" href="_h_t_t_p2_send_status_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2SendStatus.h" alt="" coords="3130,872,3307,911"/>
<area shape="rect" id="node41" href="_exchange_handler_context_interface_8h.html" title="ACL/Transport/ExchangeHandler\lContextInterface.h" alt="" coords="4131,525,4348,564"/>
<area shape="rect" id="node42" href="_h_t_t_p2_request_config_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2RequestConfig.h" alt="" coords="3402,612,3579,651"/>
<area shape="rect" id="node48" href="_h_t_t_p2_request_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2RequestInterface.h" alt="" coords="3646,612,3826,651"/>
<area shape="rect" id="node43" href="_h_t_t_p2_request_type_8h.html" title="HTTP2RequestType.h" alt="" coords="4043,705,4196,731"/>
<area shape="rect" id="node44" href="_h_t_t_p2_request_source_interface_8h.html" title="HTTP2RequestSourceInterface.h" alt="" coords="3228,705,3446,731"/>
<area shape="rect" id="node45" href="_h_t_t_p2_response_sink_interface_8h.html" title="HTTP2ResponseSinkInterface.h" alt="" coords="3528,705,3741,731"/>
<area shape="rect" id="node46" href="_h_t_t_p2_receive_data_status_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2ReceiveDataStatus.h" alt="" coords="3601,785,3793,824"/>
<area shape="rect" id="node47" href="_h_t_t_p2_response_finished_status_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2ResponseFinishedStatus.h" alt="" coords="3868,785,4094,824"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_message_request_handler_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_message_request_handler_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_message_request_handler_8hdep" id="_2workplace_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_message_request_handler_8hdep">
<area shape="rect" id="node2" href="_h_t_t_p2_transport_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/HTTP2Transport.cpp" alt="" coords="5,105,163,157"/>
<area shape="rect" id="node3" href="_message_request_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/MessageRequestHandler.cpp" alt="" coords="187,105,387,157"/>
</map>
</div>
</div>
<p><a href="_message_request_handler_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">alexaClientSDK::acl::MessageRequestHandler</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">alexaClientSDK::acl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
